#
# spec file for package perl-Apache-LogFormat-Compiler
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Apache-LogFormat-Compiler
Name:           perl-Apache-LogFormat-Compiler
Version:        0.360.0
Release:        1.2
# 0.36 -> normalize -> 0.360.0
%define cpan_version 0.36
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Compile a log format string to perl-code
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/K/KA/KAZEBURO/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Build::Tiny) >= 0.35
BuildRequires:  perl(POSIX::strftime::Compiler) >= 0.300
BuildRequires:  perl(Test::MockTime)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Try::Tiny) >= 0.120
BuildRequires:  perl(URI::Escape) >= 1.600
Requires:       perl(POSIX::strftime::Compiler) >= 0.300
Provides:       perl(Apache::LogFormat::Compiler) = %{version}
%undefine       __perllib_provides
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  timezone
# MANUAL END

%description
Compile a log format string to perl-code. For faster generation of
access_log lines.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md
%license LICENSE

%changelog
* Tue Jun  3 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Tue Nov 19 2019 <timueller+perl@suse.de>
- updated to 0.36
  see /usr/share/doc/packages/perl-Apache-LogFormat-Compiler/Changes
  0.36 2019-11-16T14:34:08Z
  - re packaging only
* Tue May 30 2017 coolo@suse.com
- updated to 0.35
  see /usr/share/doc/packages/perl-Apache-LogFormat-Compiler/Changes
  0.35 2017-03-08T04:10:07Z
  - fixed test. load module from relative path.
  0.34 2017-03-07T03:18:42Z
  - re package with Minilla v3
  0.33 2016-01-28T12:19:05Z
  - bugfix: Make `%%T` to formatted in seconds (Thank you astj)
* Sat Feb  7 2015 coolo@suse.com
- updated to 0.32
  - change perl version requirements to 5.8.1
* Tue Mar 18 2014 coolo@suse.com
- buildrequire timezone for testsuite
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.30
  - add docs abount POSIX::strftime::Compiler
  - non trial release
  - [TRIAL] switch to using POSIX::strftime::Compiler
  - fixed POSIX::setlocale fails on system without locales (Android) #6 (Thank you dex4er)
  - skip tz test on Windows.
  - requires perl v5.8.4 (Thank you dex4er)
  - skip tz test on Cygwin.
  - Fixed test. Cygwin does not die tzset. But timezone does not been changed
  - Fixed test. POSIX::tzset not implemented on Windows (Thank you dex4er)
  - Check tzoffset for every line. It's need for daylight saving time.
  - Use POSIX::strftime::GNU if available (Thank you dex4er)
* Tue Jul  9 2013 coolo@suse.com
- initial package 0.13
  * created by cpanspec 1.78.06
